Build failed in Jenkins: quantal-adt-network-manager » amd64,albali #15

Jenkins Notification devnull at canonical.com
Fri Aug 3 14:16:13 UTC 2012


See <http://10.189.74.2:8080/job/quantal-adt-network-manager/./ARCH=amd64,label=albali/15/>

------------------------------------------
[...truncated 988 lines...]
Processing triggers for ureadahead ...
 -> Finished parsing the build-deps
adt-run: trace: & dsc0t-nm: [----------------------------------------
+ buildtree=/tmp/tmp.2aE4IoZ5rq/dsc0-build/network-manager-0.9.6.0~git201207271115.edb85e9/
+ shift
+ rm -rf -- /tmp/tmp.2aE4IoZ5rq/dsc0t-nm-testtmp /tmp/tmp.2aE4IoZ5rq/dsc0t-nm-testtmp/tmpdir /tmp/tmp.2aE4IoZ5rq/dsc0t-nm-testtmp/adttmp
+ mkdir -- /tmp/tmp.2aE4IoZ5rq/dsc0t-nm-testtmp /tmp/tmp.2aE4IoZ5rq/dsc0t-nm-testtmp/tmpdir /tmp/tmp.2aE4IoZ5rq/dsc0t-nm-testtmp/adttmp
adt-run: trace: & dsc0t-nm:  - - - - - - - - - - results - - - - - - - - - -
dsc0t-nm             FAIL status: 0, stderr: Error loading /var/run/ConsoleKit/d...
adt-run: trace: & dsc0t-nm:  - - - - - - - - - - stderr - - - - - - - - - -
Error loading /var/run/ConsoleKit/database: Error statting file /var/run/ConsoleKit/database: No such file or directory
** (polkitd:23397): WARNING **: skipping unknown tag <_description> at line 15

** (polkitd:23397): WARNING **: skipping unknown tag <_message> at line 16
adt-run: trace: & dsc0t-nm:  - - - - - - - - - - stdout - - - - - - - - - -
Entering main event loop
Connected to the system bus
Registering null backend at priority -10
Using authority class PolkitBackendLocalAuthority
Acquired the name org.freedesktop.PolicyKit1
testDevicesMACAddressMatch (__main__.TestNM) ... 
Checking eth0
ok
testNMConnected (__main__.TestNM) ... ok
testNMVersion (__main__.TestNM) ... NetworkManager version is 0.9.5.96
ok

----------------------------------------------------------------------
Ran 3 tests in 0.158s

OK
adt-run: trace: & dsc0t-nm: ----------------------------------------]
adt-run: trace: & dsc0t-dnsmasq: preparing
adt-run: trace: & dsc0t-dnsmasq:  processing dependency python3
adt-run: trace: & dsc0t-dnsmasq:   literal dependency python3
adt-run: trace: & dsc0t-dnsmasq:  processing dependency python3-aptdaemon.test
adt-run: trace: & dsc0t-dnsmasq:   literal dependency python3-aptdaemon.test
adt-run: trace: & dsc0t-dnsmasq:  processing dependency python3-gi
adt-run: trace: & dsc0t-dnsmasq:   literal dependency python3-gi
adt-run: trace: & dsc0t-dnsmasq:  processing dependency network-manager
adt-run: trace: & dsc0t-dnsmasq:   literal dependency network-manager
adt-run: trace: & dsc0t-dnsmasq:  processing dependency gir1.2-networkmanager-1.0
adt-run: trace: & dsc0t-dnsmasq:   literal dependency gir1.2-networkmanager-1.0
adt-run: trace1: ** prepare1, modified=False, deps_processed=['python3', 'python3-aptdaemon.test', 'python3-gi', 'network-manager', 'gir1.2-networkmanager-1.0'], deps_new=['python3', 'python3-aptdaemon.test', 'python3-gi', 'network-manager', 'gir1.2-networkmanager-1.0']
adt-run: trace1: ** prepare2, deps_new=['python3', 'python3-aptdaemon.test', 'python3-gi', 'network-manager', 'gir1.2-networkmanager-1.0']
adt-run: trace: * publish
adt-run: trace: $ ftparchive: sh -ec <SCRIPT> x /home/ubuntu/adt-log//binaries /home/ubuntu/.autopkgtest/gpg
adt-run: trace1: $     
adt-run: trace1: $       exec >&2
adt-run: trace1: $       cd "$1"
adt-run: trace1: $       apt-ftparchive packages . >Packages
adt-run: trace1: $       gzip <Packages >Packages.gz
adt-run: trace1: $       apt-ftparchive release . >Release
adt-run: trace1: $       rm -f Release.gpg
adt-run: trace1: $       gpg --homedir="$2" --batch --detach-sign --armour -o Release.gpg Release
adt-run: trace1: $       gpg --homedir="$2" --batch --export >archive-key.pgp
adt-run: trace1: $     		
adt-run: trace: $ apt-key: sh -ec <SCRIPT>
adt-run: trace1: $     
adt-run: trace1: $       exec 3>&1 >&2
adt-run: trace1: $       apt-key add archive-key.pgp
adt-run: trace1: $       echo "deb file:///tmp/tmp.2aE4IoZ5rq/binaries/ /" >/etc/apt/sources.list.d/autopkgtest.list
adt-run: trace1: $       if [ "x`ls /var/lib/dpkg/updates`" != x ]; then
adt-run: trace1: $         echo >&2 "/var/lib/dpkg/updates contains some files, aargh"; exit 1
adt-run: trace1: $       fi
adt-run: trace1: $       apt-get -q -o quiet=true -o APT::Get::Assume-Yes=true -o Debug::pkgProblemResolver=true -o APT::Get::force-yes=true update >&2
adt-run: trace1: $       cat /var/lib/dpkg/status >&3
adt-run: trace1: $     		
OK
Ign file:  InRelease
Get:1 file:  Release.gpg [198 B]
Get:2 file:  Release [1,202 B]
Ign file:  Translation-en_US
Ign file:  Translation-en
Ign http://security.ubuntu.com quantal-security InRelease
Ign http://archive.ubuntu.com quantal InRelease
Hit http://security.ubuntu.com quantal-security Release.gpg
Ign http://archive.ubuntu.com quantal-updates InRelease
Hit http://security.ubuntu.com quantal-security Release
Hit http://archive.ubuntu.com quantal Release.gpg
Hit http://archive.ubuntu.com quantal-updates Release.gpg
Hit http://security.ubuntu.com quantal-security/main Sources
Hit http://archive.ubuntu.com quantal Release
Hit http://security.ubuntu.com quantal-security/universe Sources
Hit http://archive.ubuntu.com quantal-updates Release
Hit http://security.ubuntu.com quantal-security/main amd64 Packages
Hit http://archive.ubuntu.com quantal/main Sources
Hit http://security.ubuntu.com quantal-security/universe amd64 Packages
Hit http://archive.ubuntu.com quantal/universe Sources
Hit http://security.ubuntu.com quantal-security/main i386 Packages
Hit http://archive.ubuntu.com quantal/restricted Sources
Hit http://security.ubuntu.com quantal-security/universe i386 Packages
Hit http://archive.ubuntu.com quantal/multiverse Sources
Hit http://archive.ubuntu.com quantal/main amd64 Packages
Hit http://security.ubuntu.com quantal-security/main Translation-en
Hit http://archive.ubuntu.com quantal/universe amd64 Packages
Hit http://archive.ubuntu.com quantal/restricted amd64 Packages
Hit http://security.ubuntu.com quantal-security/universe Translation-en
Hit http://archive.ubuntu.com quantal/multiverse amd64 Packages
Hit http://archive.ubuntu.com quantal/main i386 Packages
Hit http://archive.ubuntu.com quantal/universe i386 Packages
Hit http://archive.ubuntu.com quantal/restricted i386 Packages
Hit http://archive.ubuntu.com quantal/multiverse i386 Packages
Hit http://archive.ubuntu.com quantal/main Translation-en
Ign http://security.ubuntu.com quantal-security/main Translation-en_US
Ign http://security.ubuntu.com quantal-security/universe Translation-en_US
Hit http://archive.ubuntu.com quantal/multiverse Translation-en
Hit http://archive.ubuntu.com quantal/restricted Translation-en
Hit http://archive.ubuntu.com quantal/universe Translation-en
Hit http://archive.ubuntu.com quantal-updates/main Sources
Hit http://archive.ubuntu.com quantal-updates/universe Sources
Hit http://archive.ubuntu.com quantal-updates/main amd64 Packages
Hit http://archive.ubuntu.com quantal-updates/universe amd64 Packages
Hit http://archive.ubuntu.com quantal-updates/main i386 Packages
Hit http://archive.ubuntu.com quantal-updates/universe i386 Packages
Hit http://archive.ubuntu.com quantal-updates/main Translation-en
Hit http://archive.ubuntu.com quantal-updates/universe Translation-en
Ign http://archive.ubuntu.com quantal/main Translation-en_US
Ign http://archive.ubuntu.com quantal/multiverse Translation-en_US
Ign http://archive.ubuntu.com quantal/restricted Translation-en_US
Ign http://archive.ubuntu.com quantal/universe Translation-en_US
Ign http://archive.ubuntu.com quantal-updates/main Translation-en_US
Ign http://archive.ubuntu.com quantal-updates/universe Translation-en_US
Reading package lists...
adt-run: trace: * publish reinstall checking...
adt-run: trace: * publish install...
adt-run: trace: * publish done
adt-run: trace1: **  installing dependencies ['python3', 'python3-aptdaemon.test', 'python3-gi', 'network-manager', 'gir1.2-networkmanager-1.0']
adt-run: trace: dependencies: install-deps: satisfying python3, python3-aptdaemon.test, python3-gi, network-manager, gir1.2-networkmanager-1.0
adt-run: trace: dependencies: install-deps: running ['/usr/lib/pbuilder/pbuilder-satisfydepends-classic', '--binary-all', '--internal-chrootexec', '/home/ubuntu/adt-log//satdep-auxverb', '-c', '/home/ubuntu/adt-log//deps.dsc']
 -> Attempting to parse the build-deps 
 -> Considering build-dep python3
   -> Trying python3
 -> Considering build-dep python3-aptdaemon.test
   -> Trying python3-aptdaemon.test
 -> Considering build-dep python3-gi
   -> Trying python3-gi
 -> Considering build-dep network-manager
   -> Trying network-manager
 -> Considering build-dep gir1.2-networkmanager-1.0
   -> Trying gir1.2-networkmanager-1.0
 -> Installing  python3 python3-aptdaemon.test python3-gi network-manager gir1.2-networkmanager-1.0
Reading package lists...
Building dependency tree...
Reading state information...
gir1.2-networkmanager-1.0 is already the newest version.
network-manager is already the newest version.
python3 is already the newest version.
python3-aptdaemon.test is already the newest version.
python3-gi is already the newest version.
The following packages were automatically installed and are no longer required:
  linux-headers-3.5.0-6 linux-headers-3.5.0-6-generic
Use 'apt-get autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
 -> Finished parsing the build-deps
adt-run: trace: & dsc0t-dnsmasq: [----------------------------------------
+ buildtree=/tmp/tmp.2aE4IoZ5rq/dsc0-build/network-manager-0.9.6.0~git201207271115.edb85e9/
+ shift
+ rm -rf -- /tmp/tmp.2aE4IoZ5rq/dsc0t-dnsmasq-testtmp /tmp/tmp.2aE4IoZ5rq/dsc0t-dnsmasq-testtmp/tmpdir /tmp/tmp.2aE4IoZ5rq/dsc0t-dnsmasq-testtmp/adttmp
+ mkdir -- /tmp/tmp.2aE4IoZ5rq/dsc0t-dnsmasq-testtmp /tmp/tmp.2aE4IoZ5rq/dsc0t-dnsmasq-testtmp/tmpdir /tmp/tmp.2aE4IoZ5rq/dsc0t-dnsmasq-testtmp/adttmp
adt-run: trace: & dsc0t-dnsmasq:  - - - - - - - - - - results - - - - - - - - - -
dsc0t-dnsmasq        FAIL non-zero exit status 1
adt-run: trace: & dsc0t-dnsmasq:  - - - - - - - - - - stdout - - - - - - - - - -
Entering main event loop
Connected to the system bus
Registering null backend at priority -10
Using authority class PolkitBackendLocalAuthority
Acquired the name org.freedesktop.PolicyKit1
testDnsmasqHasDbus (__main__.TestDnsmasq) ... ERROR
testDnsmasqRunning (__main__.TestDnsmasq) ... FAIL

======================================================================
ERROR: testDnsmasqHasDbus (__main__.TestDnsmasq)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 175, in activate_name_owner
    return self.get_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 361, in get_name_owner
    's', (bus_name,), **keywords)
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NameHasNoOwner: Could not get owner of name 'uk.org.thekelleys.dnsmasq': no such name

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/tmp.2aE4IoZ5rq/dsc0-build/network-manager-0.9.6.0~git201207271115.edb85e9/debian/tests/dnsmasq", line 44, in testDnsmasqHasDbus
    '/uk/org/thekelleys/dnsmasq')
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 241, in get_object
    follow_name_owner_changes=follow_name_owner_changes)
  File "/usr/lib/python3/dist-packages/dbus/proxies.py", line 248, in __init__
    self._named_service = conn.activate_name_owner(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 180, in activate_name_owner
    self.start_service_by_name(bus_name)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 278, in start_service_by_name
    'su', (bus_name, flags)))
  File "/usr/lib/python3/dist-packages/dbus/connection.py", line 651, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name uk.org.thekelleys.dnsmasq was not provided by any .service files

======================================================================
FAIL: testDnsmasqRunning (__main__.TestDnsmasq)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/tmp.2aE4IoZ5rq/dsc0-build/network-manager-0.9.6.0~git201207271115.edb85e9/debian/tests/dnsmasq", line 33, in testDnsmasqRunning
    self.assertIn('dnsmasq', processes)
AssertionError: 'dnsmasq' not found in '  PID TTY          TIME CMD\n    1 ?        00:00:00 init\n    2 ?        00:00:00 kthreadd\n    3 ?        00:00:00 ksoftirqd/0\n    4 ?        00:00:00 kworker/0:0\n    5 ?        00:00:00 kworker/u:0\n    6 ?        00:00:00 migration/0\n    7 ?        00:00:00 watchdog/0\n    8 ?        00:00:00 migration/1\n    9 ?        00:00:00 kworker/1:0\n   10 ?        00:00:00 ksoftirqd/1\n   11 ?        00:00:00 watchdog/1\n   12 ?        00:00:00 cpuset\n   13 ?        00:00:00 khelper\n   14 ?        00:00:00 kdevtmpfs\n   15 ?        00:00:00 netns\n   16 ?        00:00:00 kworker/u:1\n   17 ?        00:00:00 sync_supers\n   18 ?        00:00:00 bdi-default\n   19 ?        00:00:00 kintegrityd\n   20 ?        00:00:00 kblockd\n   21 ?        00:00:00 ata_sff\n   22 ?        00:00:00 khubd\n   23 ?        00:00:00 md\n   24 ?        00:00:00 kworker/0:1\n   25 ?        00:00:00 kworker/1:1\n   26 ?        00:00:00 khungtaskd\n   27 ?        00:00:00 kswapd0\n   28 ?        00:00:00 ksmd\n   29 ?        00:00:00 khugepaged\n   30 ?        00:00:00 fsnotify_mark\n   31 ?        00:00:00 ecryptfs-kthrea\n   32 ?        00:00:00 crypto\n   41 ?        00:00:00 kthrotld\n   42 ?        00:00:00 scsi_eh_0\n   43 ?        00:00:00 scsi_eh_1\n   44 ?        00:00:00 kworker/u:2\n   45 ?        00:00:00 kworker/u:3\n   46 ?        00:00:00 binder\n   65 ?        00:00:00 deferwq\n   66 ?        00:00:00 charger_manager\n   67 ?        00:00:00 devfreq_wq\n   68 ?        00:00:00 kworker/1:2\n  117 ?        00:00:00 kworker/0:2\n  236 ?        00:00:00 jbd2/vda1-8\n  237 ?        00:00:00 ext4-dio-unwrit\n  335 ?        00:00:00 upstart-udev-br\n  337 ?        00:00:00 udevd\n  378 ?        00:00:00 ttm_swap\n  446 ?        00:00:00 kpsmoused\n  457 ?        00:00:00 kworker/1:3\n  522 ?        00:00:00 dhclient\n  578 ?        00:00:00 upstart-socket-\n  623 ?        00:00:00 kvm-irqfd-clean\n  761 ?        00:00:00 sshd\n  794 ?        00:00:00 dbus-daemon\n  802 ?        00:00:00 rsyslogd\n  849 tty4     00:00:00 getty\n  856 tty5     00:00:00 getty\n  863 tty2     00:00:00 getty\n  867 tty3     00:00:00 getty\n  870 tty6     00:00:00 getty\n  882 ?        00:00:00 acpid\n  884 ?        00:00:00 cron\n  885 ?        00:00:00 atd\n  900 ?        00:00:00 irqbalance\n  913 tty1     00:00:00 getty\n  915 ?        00:00:00 whoopsie\n  918 ?        00:00:00 flush-253:0\n 1005 ?        00:00:00 sshd\n 1084 ?        00:00:00 sshd\n 1085 ?        00:00:00 sudo\n 1089 ?        00:00:00 run.sh\n 9742 ?        00:00:00 xfsalloc\n 9744 ?        00:00:00 xfs_mru_cache\n 9745 ?        00:00:00 xfslogd\n 9753 ?        00:00:00 jfsIO\n 9754 ?        00:00:00 jfsCommit\n 9755 ?        00:00:00 jfsCommit\n 9756 ?        00:00:00 jfsSync\n22092 ?        00:00:00 adt-run\n22093 ?        00:00:00 tee\n22094 ?        00:00:00 adt-virt-null\n23395 ?        00:00:00 dbus-daemon\n23397 ?        00:00:00 polkitd\n23399 ?        00:00:00 console-kit-dae\n23466 ?        00:00:00 NetworkManager\n23671 ?        00:00:00 python3\n23672 ?        00:00:00 dbus-daemon\n23674 ?        00:00:00 polkitd\n23675 ?        00:00:00 console-kit-dae\n23688 ?        00:00:00 NetworkManager\n23749 ?        00:00:00 ps\n'

----------------------------------------------------------------------
Ran 2 tests in 15.080s

FAILED (failures=1, errors=1)
adt-run: trace: & dsc0t-dnsmasq: ----------------------------------------]
adt-run: trace1: ** needs_reset, previously=False
adt-run: trace: @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@ tests done.
adt-run: trace: ** stop
adt-run: trace: ** close, scratch=tb-scratch~/tmp/tmp.2aE4IoZ5rq:-/|/tmp/tmp.2aE4IoZ5rq/!
+ RET=4
+ [ 4 -gt 0 ]
+ log_failure_msg adt-run exited with status 4.
+ log_msg Failure: adt-run exited with status 4.\n
+ date +%F %X
+ printf 2012-08-03 14:16:05: Failure: adt-run exited with status 4.\n
2012-08-03 14:16:05: Failure: adt-run exited with status 4.
+ mkdir -p <http://10.189.74.2:8080/job/quantal-adt-network-manager/./ARCH=amd64,label=albali/ws/results>
+ ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /var/cache/adt/disks/adtkey -p 54328 -t -o BatchMode=yes -l ubuntu localhost sudo chown -R ubuntu /home/ubuntu/adt-log
Pseudo-terminal will not be allocated because stdin is not a terminal.
Warning: Permanently added '[localhost]:54328' (ECDSA) to the list of known hosts.
sudo: unable to resolve host # Created by cloud-init
autopkgtest
+ scp -r -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /var/cache/adt/disks/adtkey -P 54328 ubuntu at localhost:/home/ubuntu/adt-log/* <http://10.189.74.2:8080/job/quantal-adt-network-manager/./ARCH=amd64,label=albali/ws/results>
Warning: Permanently added '[localhost]:54328' (ECDSA) to the list of known hosts.
+ scp -r -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /var/cache/adt/disks/adtkey -P 54328 ubuntu at localhost:/var/crash/*crash <http://10.189.74.2:8080/job/quantal-adt-network-manager/./ARCH=amd64,label=albali/ws/results>
Warning: Permanently added '[localhost]:54328' (ECDSA) to the list of known hosts.
scp: /var/crash/*crash: No such file or directory
+ true
+ ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -o CheckHostIP=no -i /var/cache/adt/disks/adtkey -p 54328 -t -o BatchMode=yes -l ubuntu localhost sudo poweroff
Pseudo-terminal will not be allocated because stdin is not a terminal.
Warning: Permanently added '[localhost]:54328' (ECDSA) to the list of known hosts.
sudo: unable to resolve host # Created by cloud-init
autopkgtest
+ cat /dev/shm/adt/quantal-amd64-network-manager-20120803_141203.img.pid
+ kill -9 112582
+ rm /dev/shm/adt/quantal-amd64-network-manager-20120803_141203.img.pid
+ rm /dev/shm/adt/quantal-amd64-network-manager-20120803_141203.img
+ rm -Rf /tmp/adt-amd64.CgSPeY
+ exit 4
Build step 'Execute shell' marked build as failure
Archiving artifacts



More information about the ubuntu-testing-notifications mailing list